//Tristan Halvorson

import java.util.ArrayList;
import java.util.Scanner;

public class Prob5 {

	public static ArrayList<Integer> ans;
	public static ArrayList<Integer> clocks;
	public static Scanner sin;
	
	public static void main(String[] args) {
		// initialization
		ans = new ArrayList<Integer>();
		sin = new Scanner(System.in);

		while(true) {
			clocks = new ArrayList<Integer>();
			if(!sin.hasNextInt()) break;
			int numClocks = sin.nextInt();
			if (numClocks == 0) break;
			for(int i = 0; i < numClocks; i++) {
				clocks.add(sin.nextInt());
			}
			ans.add(lcd(clocks));
		}
		for(int i = 0; i < ans.size(); i++) {
			System.out.println("Case " + (i + 1) + ": " + getTime(ans.get(i)));
		}
	}
	
	public static int lcd(ArrayList<Integer> nums) {
		int lcd = nums.get(0);
		for(int i = 1; i < nums.size(); i++) {
			lcd = (lcd * nums.get(i))/gcd(lcd, nums.get(i));
			if(lcd > 1000000) return -1;
		}
		return lcd;
	}
	
	public static int gcd(int num1, int num2) {
		if(num1 < num2) {
			int tmp = num1;
			num1 = num2;
			num2 = tmp;
		}
		int result;
		do {
			result = num1 % num2;
			num1 = num2;
			num2 = result;
		} while(result != 0);
		return num1;
	}
	
	public static String getTime(int seconds) {
		String result = "";
		int day = seconds / (60*60*24);
		if(seconds < 0 || day > 6) return "Never";
		seconds -= day * 60 * 60 * 24;
		int hour = seconds / (60*60);
		seconds -= hour * 60 * 60;
		int minutes = seconds / 60;
		seconds -= minutes * 60;
		
		String[] days = {	"Sunday", "Monday", "Tuesday", "Wednesday",
							"Thursday", "Friday", "Saturday"};
		result += days[day];
		result += " at ";
		if (hour % 12 > 0) {
			result += "" + (hour % 12);
		} else {
			result += "12";
		}
		result += ":";
		if(minutes < 10) result += "0";
		result += minutes + ":";
		if(seconds < 10) result += "0";
		result += seconds + " ";
		if(hour < 12) {
			result += "AM";
		} else {
			result += "PM";
		}
		return result;
	}
}
