// Matt Anderson
import java.util.Scanner;
import java.io.*;

public class Prob9{

    public static void main(String[] args){
	Scanner in = new Scanner(System.in);
	PrintStream out = System.out;
 
	String s1 = "1", s2 = "1";
	int cas = 1;
      
	s1 = in.next().trim().toUpperCase();
	s2 = in.next().trim().toUpperCase();

	while(!s1.equals("0") || !s2.equals("0")){

	    if (s1.length() < s2.length()){
		String tmp = s1; s1 = s2; s2 = tmp;
	    }
	    
	    int count = 0;
	    int s1l = s1.length(), s2l = s2.length();
	    int carry = 0, b1 = 0, b2 = 0;

	    for (int i = 1; i <= s1l; i++){
		
		b1 = Integer.parseInt(s1.charAt(s1l-i)+"",16);
		if (i <= s2l)
		    b2 = Integer.parseInt(s2.charAt(s2l-i)+"",16);
		else
		    b2 = 0;
		carry = (carry + b1 + b2)/16;
		if (carry != 0) count++;
	    }	    

	    out.print("Case " + cas +": ");
	    cas++;

	    if (count == 0)
		out.print("No carries");
	    else if (count == 1)
		out.print("1 carry");
	    else 
		out.print(count + " carries");
	    out.print("\r\n\r\n");   //  "Windows"' type newline in the judge output

	    s1 = in.next().trim().toUpperCase();
	    s2 = in.next().trim().toUpperCase();
	}
    }
}
