import java.math.BigInteger;
import java.util.*;
public class Prob6{
	public static void main(String[] args){
		Scanner scan = new Scanner(System.in);
		int count = 0;
		System.out.println("go");
		while(scan.hasNext()){
			BigInteger x, y;
			count++;
			x = new BigInteger(scan.next());
			y = new BigInteger(scan.next());
			multiply(x,y, count);
		}
	}
	
	private static void multiply(BigInteger x, BigInteger y, int count) {
		if (count>1) System.out.println();
		System.out.println("Case " + count + ":");
		String sx = x.toString();
		String sy = y.toString();
		int maxlen1 = Math.max(sx.length(), sy.length());
		
		String[] nums = new String[30];
		BigInteger temp = new BigInteger(y.toString());
		int place = 0;
		int maxlen2 = 0;
		while(temp.compareTo(BigInteger.ZERO)>0){
			int digit = temp.mod(BigInteger.TEN).intValue();
			temp = temp.divide(BigInteger.TEN);
			nums[place] = x.multiply(BigInteger.valueOf(digit)).toString();
			maxlen2 = Math.max(maxlen2, nums[place].length());
			place++;
		}
		
		String sz = x.multiply(y).toString();
		maxlen2 = Math.max(maxlen2, sz.length());
		int maxlen = Math.max(maxlen1, maxlen2);
		
		if (place < 2) {
			print(sx, maxlen);
			print(sy, maxlen);
			print(space(maxlen, '-'), maxlen);
			print(sz, maxlen);
		} else {
			print(sx, maxlen);
			print(sy, maxlen);
			print(space(maxlen1, '-'), maxlen);
			for (int i=0; i<place; i++) {
				print(nums[i], maxlen-i);
			}
			print(space(maxlen, '-'), maxlen);
			print(sz, maxlen);
		}
	}
	
	private static String space(int x, char ch) {
		StringBuilder sb = new StringBuilder(x);
		for (int i=0; i<x; i++) {
			sb.append(ch);
		}
		return sb.toString();
	}
	
	private static void print(String s, int width) {
		System.out.print(space(width - s.length(), ' '));
		System.out.println(s);
	}
}
