#include <iostream>

using namespace std;

int decode_char(
    int *block,
    int c)
{
    for(int i=0; i<7; i++)
    {
        int nbits = 0;
        for(int j=0; j<7; j++)
        {
            nbits += (block[i] & (1<<j)) ? 1 : 0;
        }
        c ^= (nbits & 1) ? (1 << i) : 0;
        block[i]++;
    }
    
    return c;
}

int read_char()
{
    int c = 0;
    
    for(int i=6; i>=0; i--)
    {
        int bit;
        cin >> bit;
        c |= bit << i;
    }
    
    return c;
}

int main(int argc, char ** argv)
{
    for(int table=1; ; table++)
    {
        //Read in block
        int block[7];
        for(int i=0; i<7; i++)
        {
            block[i] = read_char();
            
            if(block[0] == 0)
                return 0;
        }
        
        cout << "Table " << table << ": ";
        
        //Decode characters
        for(int c=read_char(); c!=0; c=read_char())
        {
            cout << (char)decode_char(block, c);
        }
        cout << endl;
    }
}
